Package ru.bitel.bgbilling.modules.ipn.server.bean

# Class GateFilter

java.lang.Object
ru.bitel.bgbilling.modules.ipn.server.bean.GateFilter

public class GateFilter extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GateFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAreaId()`
  `int`
  `getCid()`
  `int`
  `getCityId()`
  `String`
  `getComment()`
  `int`
  `getFloor()`
  `String`
  `getFrac()`
  `int`
  `getGateId()`
  `String`
  `getHost()`
  `int`
  `getHouse()`
  `int`
  `getPod()`
  `int`
  `getQuarterId()`
  `int`
  `getStreetId()`
  `int`
  `getType()`
  `boolean`
  `isLoadParents()`
  `void`
  `parseFromRequest(jakarta.servlet.http.HttpServletRequest request)`
  `void`
  `setAreaId(int areaId)`
  `void`
  `setCid(int cid)`
  `void`
  `setCityId(int cityId)`
  `void`
  `setComment(String comment)`
  `void`
  `setFloor(int floor)`
  `void`
  `setFrac(String frac)`
  `void`
  `setGateId(int gateId)`
  `void`
  `setHost(String host)`
  `void`
  `setHouse(int house)`
  `void`
  `setLoadParents(boolean loadParents)`
  `void`
  `setPod(int pod)`
  `void`
  `setQuarterId(int quarterId)`
  `void`
  `setStreetId(int streetId)`
  `void`
  `setType(int type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GateFilter

    public GateFilter()

- ## Method Details

  - ### getHost

    public String getHost()

  - ### setHost

    public void setHost(String host)

  - ### parseFromRequest

    public void parseFromRequest(jakarta.servlet.http.HttpServletRequest request)

  - ### getType

    public int getType()

  - ### setType

    public void setType(int type)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getCityId

    public int getCityId()

  - ### setCityId

    public void setCityId(int cityId)

  - ### getAreaId

    public int getAreaId()

  - ### setAreaId

    public void setAreaId(int areaId)

  - ### getQuarterId

    public int getQuarterId()

  - ### setQuarterId

    public void setQuarterId(int quarterId)

  - ### getHouse

    public int getHouse()

  - ### setHouse

    public void setHouse(int house)

  - ### getFrac

    public String getFrac()

  - ### setFrac

    public void setFrac(String frac)

  - ### getStreetId

    public int getStreetId()

  - ### setStreetId

    public void setStreetId(int streetId)

  - ### getPod

    public int getPod()

  - ### setPod

    public void setPod(int pod)

  - ### getFloor

    public int getFloor()

  - ### setFloor

    public void setFloor(int floor)

  - ### getGateId

    public int getGateId()

  - ### setGateId

    public void setGateId(int gateId)

  - ### getCid

    public int getCid()

  - ### setCid

    public void setCid(int cid)

  - ### isLoadParents

    public boolean isLoadParents()

  - ### setLoadParents

    public void setLoadParents(boolean loadParents)